#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "datahdl.h"



int						djsc_load_ini()

{
	

	gtk_clist_clear( GTK_CLIST( mainwin_port_clist ) );
	port_list_num = 0;	
	gtk_clist_clear( GTK_CLIST( mainwin_cont_clist ) );
	cont_list_num = 0;		
	gtk_clist_clear( GTK_CLIST( mainwin_site_clist ) );	
	site_list_num = 0;	
	
	return( 0);
	
}
	


int						djsc_load_data(

	char					*fn,
	GtkWidget			*list,
	int						list_type)

{
	
	FILE					*fp;
	char					*cldata[3];
	char					item1[100];
	char					item2[100];
	char					item3[100];
	char					fbuf[300];
	
	

	if( ( fp = fopen( fn,"r")) == NULL) {
		
		fprintf(stdout, "Can't open %s file\n", fn);
		exit(1);
		
	}

	if( list_type == DJSC_SITE){
	
		while( fgets( fbuf, 400, fp) != NULL) {
			if ( fbuf[0] != '#' ){		
				
				sscanf( fbuf, "%s %s", item1, item2);
				cldata[0] = item1;
				cldata[1] = item2;		
				gtk_clist_append( GTK_CLIST( list), cldata);	
				site_list_num++;
				
			}
		}
	
	}
	else{	
		
		if( list_type == DJSC_CONT){

			while( fgets( fbuf, 400, fp) != NULL) {
				if ( fbuf[0] != '#' ) {		
					
					sscanf( fbuf, "%s %s %s", item1, item2, item3);
					cldata[0] = item1;
					cldata[1] = item2;						
					cldata[2] = item3;		
					gtk_clist_append( GTK_CLIST( list), cldata);		
					cont_list_num++;				
				}
			}
		}
		
		else{

			
			while( fgets( fbuf, 400, fp) != NULL) {
				if ( fbuf[0] != '#' ) {	
					
					sscanf( fbuf, "%s %s", item1, item2);
					cldata[0] = item1;
					cldata[1] = item2;					
					gtk_clist_append( GTK_CLIST( list), cldata);		
					port_list_num++;						
				}	
			}
		}
	}
		
	return( 1);
	
}

